'use strict';

var index = require('../../../_virtual/index5.js');
var browser = require('./browser.js');
var node = require('./node.js');

/**
 * Detect Electron renderer / nwjs process, which is node, but we should
 * treat as a browser.
 */

var hasRequiredSrc;

function requireSrc () {
	if (hasRequiredSrc) return index.__module.exports;
	hasRequiredSrc = 1;
	if (typeof process === 'undefined' || process.type === 'renderer' || process.browser === true || process.__nwjs) {
		index.__module.exports = browser.__require();
	} else {
		index.__module.exports = node.__require();
	}
	return index.__module.exports;
}

exports.__require = requireSrc;
